Name:           python-geckolib
Version:        1.0.13
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An async library to interface with Gecko Alliance products using in.touch2

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/gazoodle/geckolib
Source:         %{pypi_source geckolib}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'geckolib' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-geckolib
Summary:        %{summary}

%description -n python3-geckolib %_description


%prep
%autosetup -p1 -n geckolib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-geckolib -f %{pyproject_files}


%changelog
%autochangelog